[arch-commits] Commit in findutils/trunk (PKGBUILD findutils.install)

Tobias Powalowski tpowa at archlinux.org
Tue May 12 04:36:04 EDT 2009


    Date: Tuesday, May 12, 2009 @ 04:36:03
  Author: tpowa
Revision: 39089

upgpkg: findutils 4.4.1-2

Modified:
  findutils/trunk/PKGBUILD
  findutils/trunk/findutils.install

-------------------+
 PKGBUILD          |    2 +-
 findutils.install |    2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-12 08:27:04 UTC (rev 39088)
+++ PKGBUILD	2009-05-12 08:36:03 UTC (rev 39089)
@@ -2,7 +2,7 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=findutils
 pkgver=4.4.1
-pkgrel=1
+pkgrel=2
 pkgdesc="GNU utilities to locate files"
 arch=(i686 x86_64)
 license=('GPL3')

Modified: findutils.install
===================================================================
--- findutils.install	2009-05-12 08:27:04 UTC (rev 39088)
+++ findutils.install	2009-05-12 08:36:03 UTC (rev 39089)
@@ -2,6 +2,7 @@
 filelist=(find-maint.info find.info)
 
 post_install() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
   done
@@ -12,6 +13,7 @@
 }
 
 pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
   for file in ${filelist[@]}; do
     install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done



More information about the arch-commits mailing list